Page MenuHomePhabricator

In the new interface of Special:MovePage, the "Move page" button often appears below the fold
Closed, ResolvedPublic

Description

After the changes made in T86865, which made the form a bit taller, the "Move page" button on Special:MovePage often appears below the fold (you have to scroll to see it).

At 1920x1080px (probably the most common desktop resolution), it usually just barely fits (the screenshot below has 3 checkboxes, but up to 6 can be displayed). At 1366x768px (very common low-end laptop resolution) you have to scroll.

Event Timeline

matmarex created this task.Sep 28 2015, 1:42 PM
matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added subscribers: matmarex, Jenks24.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 28 2015, 1:42 PM

I think the form hits a fairly reasonable balance between density and prettiness, but there is just a lot of text above it.

Two things I see that we could do:

  • The "Move page:" fake field in the form could probably be removed entirely.
  • The "This page has a talk page, which will be automatically moved along with it unless…" warning could be displayed next to the checkbox it affects, hidden behind a clickable "i" icon.

Something like this? (Screenshot from my local testing wiki.)

matmarex claimed this task.Sep 28 2015, 2:35 PM

Change 241654 had a related patch set uploaded (by Bartosz Dziewoński):
Improve brevity of Special:MovePage form and its description

https://gerrit.wikimedia.org/r/241654

jrbs added a subscriber: jrbs.Sep 28 2015, 3:30 PM

There is likely a reason for it, but perhaps that one column of checkboxes could be two columns to save some vertical space?

Change 241654 merged by jenkins-bot:
Improve brevity of Special:MovePage form and its description

https://gerrit.wikimedia.org/r/241654

matmarex closed this task as Resolved.Sep 30 2015, 6:42 AM

The change has been made and you can see it on http://en.wikipedia.beta.wmflabs.org/. It will be deployed to Wikimedia wikis Tuesday-Thursday next week, with 1.27.0-wmf.2, according to https://www.mediawiki.org/wiki/MediaWiki_1.27/Roadmap.

There is likely a reason for it, but perhaps that one column of checkboxes could be two columns to save some vertical space?

It's an interesting idea… I wonder how many languages other than English would benefit (we couldn't really do it if the labels were even a bit longer, since it'd end up even worse with the label wrapping over two lines, and English tends to be a very terse language).

I'm not comfortable putting it into our code at the moment, but if you want to experiment yourself, the following user CSS seems to work to give you columns for checkboxes in that form.

body.mw-special-Movepage .oo-ui-fieldLayout-align-inline {
    display: inline-block;
    min-width: 50%;
    height: 2.25em;
}

matmarex added subscribers: Glaisher, Matanya, Josve05a.

The namespace dropdown field is also a bit oversized, I am fixing that as T113492.

Change 242535 had a related patch set uploaded (by Bartosz Dziewoński):
Improve brevity of Special:MovePage form and its description

https://gerrit.wikimedia.org/r/242535

Change 242536 had a related patch set uploaded (by Bartosz Dziewoński):
Improve brevity of Special:MovePage form and its description

https://gerrit.wikimedia.org/r/242536

Change 242535 merged by jenkins-bot:
Improve brevity of Special:MovePage form and its description

https://gerrit.wikimedia.org/r/242535

Change 242536 merged by jenkins-bot:
Improve brevity of Special:MovePage form and its description

https://gerrit.wikimedia.org/r/242536

I've had the change backported and deployed everywhere. @Josve05a, what do you think about the current state of the page?

Josve05a added a comment.EditedOct 1 2015, 1:25 PM

I'm using a 1366 x 768 screen (my schools computer, which is a Lenovo 11e Chromebook) and the move-button still is below the field of the screen. (If I have the browser at 100%, I nomrally have it on 90%, and then it looks ok!)


One sulotion to this could be to move the button to the top right corner, or implement this below as default, which would move the move button appear inside my screen again. (Or split-screen, warning text on one side, and the fields etc. on the other...

body.mw-special-Movepage .oo-ui-fieldLayout-align-inline {
    display: inline-block;
    min-width: 50%;
    height: 2.25em;
}

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 4 2015, 6:17 PM

It might also help to use two columns for the help/warning text and the form.

We might need to use heading text and some iconography to get more attention to the text on the side. I can make some options if this idea is feasible and considered.

Per T117762, the spacing has been tightened a bit more:

BeforeAfter